5.3.0-git
2014-11-28

[#11688] Problems with adding events to calendar from IMP
Summary Problems with adding events to calendar from IMP
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester jens.gruentjes (at) ebira (dot) de
Created 2012-11-12 (746 days ago)
Due
Updated 2013-10-23 (401 days ago)
Assigned 2013-01-10 (687 days ago)
Resolved 2013-07-18 (498 days ago)
Milestone 5.1
Patch No

History
2013-10-23 11:39:48 Git Commit Comment #14 Reply to this comment
Changes have been made in Git (master):

commit 67734b7200b8854c99806b703ed7a9f28af8eaec
Author: Ralf Lang <lang@b1-systems.de>
Date:   Sun May 5 19:57:20 2013 +0200

     Hotfix for #11688 - problems importing strange timezone names

  framework/Date/lib/Horde/Date.php |  118 
+++++++++++++++++++++++++++++++++++++
  1 files changed, 118 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/67734b7200b8854c99806b703ed7a9f28af8eaec
2013-07-18 10:08:06 Jan Schneider State ⇒ Resolved
 
2013-05-27 19:28:53 Git Commit Comment #13 Reply to this comment
Changes have been made in Git (master):

commit 7d3f60adf6080351805aeb74c40ac34863daf9e5
Author: Jan Schneider <jan@horde.org>
Date:   Mon May 27 21:25:49 2013 +0200

     Catch unknown timezones when importing events (Bug #11688).

     Conflicts:
             kronolith/docs/CHANGES
             kronolith/package.xml

  kronolith/lib/Event.php |    9 +++++++--
  kronolith/package.xml   |    1 +
  2 files changed, 8 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/7d3f60adf6080351805aeb74c40ac34863daf9e5
2013-05-27 19:28:44 Git Commit Comment #12 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_0):

commit 2e2754019e09f05fc0781fde51183ca8146f2762
Author: Jan Schneider <jan@horde.org>
Date:   Mon May 27 21:25:49 2013 +0200

     Catch unknown timezones when importing events (Bug #11688).

  kronolith/docs/CHANGES  |    2 ++
  kronolith/lib/Event.php |    9 +++++++--
  kronolith/package.xml   |    2 ++
  3 files changed, 11 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/2e2754019e09f05fc0781fde51183ca8146f2762
2013-05-16 12:22:43 janne (dot) peltonen (at) helsinki (dot) fi Comment #11 Reply to this comment
I'm sorry if this is a stupid comment, but doesn't Horde already 
include code to handle these arbitrarily named time zones? 
http://bugs.horde.org/ticket/4399 - and if I import an ics file from 
the Kronolith import command (click Edit (pen image) next to my 
calendar's name, then Import), everything seems to work perfectly. 
With the same timezone names that cause trouble from within IMP.

pear/Horde/Icalendar/Vtimezone.php

Or am I being too optimistic here?
2013-05-05 18:01:21 Ralf Lang (B1 Systems GmbH) Comment #10
New Attachment: 0001-Hotfix-for-11688-problems-importing-strange-timezone.patch Download
Reply to this comment
amended hotfix for the timezone problem. This is based on the previous 
patch by another user and does NOT address the issues raised by 
michael. It addresses outlook + 2 lotus timezones as far as I found 
them different from outlook. It does not handle arbitrary timezone 
names.

This list should probably move somewhere else (where?) and only be 
searched after an initial exception but for my client this fixes it.

2013-05-02 13:22:58 Ralf Lang (B1 Systems GmbH) Comment #9 Reply to this comment
Lotus also seems to have an own set of identifiers.

Example:


BEGIN:VCALENDAR
X-LOTUS-CHARSET:UTF-8
VERSION:2.0
PRODID:-//Lotus Development Corporation//NONSGML Notes 8.5.3//EN_C
METHOD:REQUEST
BEGIN:VTIMEZONE
TZID:W. Europe
BEGIN:STANDARD
DTSTART:19501029T020000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
RRULE:FREQ=YEARLY;BYMINUTE=0;BYHOUR=2;BYDAY=-1SU;BYMONTH=10
END:STANDARD
BEGIN:DAYLIGHT
DTSTART:19500326T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
RRULE:FREQ=YEARLY;BYMINUTE=0;BYHOUR=2;BYDAY=-1SU;BYMONTH=3
END:DAYLIGHT
END:VTIMEZONE
BEGIN:VEVENT
DTSTART;TZID="W. Europe":20130513T140000
DTEND;TZID="W. Europe":20130513T170000
TRANSP:OPAQUE
DTSTAMP:20130429T083902Z
SEQUENCE:0
CLASS:PUBLIC
SUMMARY:Vorstellung some product
ORGANIZER;CN="Somebody"
  :mailto:some.body@company.de
UID:2B3B27C604A380AFC1257B5C002E4B8F-Lotus_Notes_Generated
X-LOTUS-BROADCAST:FALSE
X-LOTUS-UPDATE-SEQ:1
X-LOTUS-UPDATE-WISL:$S:1;$L:1;$B:1;$R:1;$E:1;$W:1;$O:1;$M:1
X-LOTUS-NOTESVERSION:2
X-LOTUS-NOTICETYPE:I
X-LOTUS-APPTTYPE:3
X-LOTUS-CHILD-UID:2B3B27C604A380AFC1257B5C002E4B8F
END:VEVENT
END:VCALENDAR

Haven't found a list on these yet :(
2013-04-03 16:28:04 Michael Slusarz Comment #8 Reply to this comment
throwing an exception is not right here.

regarding to the rfc 
http://tools.ietf.org/html/rfc5545#section-3.2.19 TZID should also 
be checked against VTIMEZONE and the values from there must be used. 
because there is no naming convention for TZID everybody can name it 
like he wants, which is also written in the rfc.
http://marc.info/?l=horde&m=135777681025345&w=2
2013-04-03 15:13:44 michael (at) bigmichi1 (dot) de Comment #7 Reply to this comment
throwing an exception is not right here.

regarding to the rfc http://tools.ietf.org/html/rfc5545#section-3.2.19 
TZID should also be checked against VTIMEZONE and the values from 
there must be used. because there is no naming convention for TZID 
everybody can name it like he wants, which is also written in the rfc.
2013-01-11 22:01:13 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (master):

commit 4d9387d7c8ec33a4774599adbe76bd585d5965d7
Author: Jan Schneider <jan@horde.org>
Date:   Fri Jan 11 23:00:44 2013 +0100

     Add test case for invalid timezones (Bug #11688).

  kronolith/package.xml                              |    8 ++-
  .../Kronolith/Integration/FromIcalendarTest.php    |   13 +++++
  kronolith/test/Kronolith/fixtures/bug11688.ics     |   53 
++++++++++++++++++++
  3 files changed, 71 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/4d9387d7c8ec33a4774599adbe76bd585d5965d7
2013-01-11 22:01:08 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 11d058f3f401385b42c62c53c32fc60e1150ce26
Author: Jan Schneider <jan@horde.org>
Date:   Fri Jan 11 22:58:52 2013 +0100

     Throw Horde_Date_Exception on invalide timezones (Bug #11688).

  framework/Date/lib/Horde/Date.php |   10 +++++++---
  1 files changed, 7 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/11d058f3f401385b42c62c53c32fc60e1150ce26
2013-01-10 17:57:48 delrio (at) mie (dot) utoronto (dot) ca Comment #4
New Attachment: Date.php.diff Download
Reply to this comment
With the attached "quick fix" for Horde/Date.php I was able to import 
and edit Exchange events.
The array is from unicode.org windowsZones.xml, omitting UTC => Etc/Gmt

This is unlikely to be the proper fix, but a quick fix for those who 
can't to wait for the real fix.

2013-01-10 10:40:12 Jan Schneider Comment #3
Milestone ⇒ 5.1
State ⇒ Assigned
Assigned to Jan Schneider
Reply to this comment
2013-01-08 19:33:59 Michael Slusarz Comment #2
Queue ⇒ Horde Framework Packages
Version ⇒ Git master
Reply to this comment
This seems to be an issue with Icalendar/TZ parsing instead, so moving 
to framework queue.
2012-11-12 10:55:59 jens (dot) gruentjes (at) ebira (dot) de Comment #1
State ⇒ Unconfirmed
New Attachment: calendar.ics Download
Patch ⇒ No
Milestone ⇒
Queue ⇒ Horde Groupware
Summary ⇒ Problems with adding events to calendar from IMP
Type ⇒ Bug
Priority ⇒ 1. Low
Reply to this comment
The attached event is neither added to the calendar nor the answer is 
sent. The error message below says that there is an invalid timezone:

2012-11-09T13:06:24+01:00 DEBUG: HORDE [kronolith] 
DateTimeZone::__construct(): Unknown or bad timezone (W. Europe 
Standard Time) [pid 25779 on line 27 of 
"/usr/share/php/Horde/Core/Notification/Handler/Decorator/Hordelog.php"]